/*
 * newio.h -- header file for newio.c
 * ircII (C) 1990, 1995 Michael Sandroff, Matthew Green
 */

#ifndef __NEWIO_H
#define __NEWIO_H

#include "irc.h"

extern int dgets_errno;

extern void mark_socket _((int));
extern void unmark_socket _((int));
extern time_t dgets_timeout _((int));
extern int dgets _((char *, int, int, char *));
extern int new_select _((fd_set *, fd_set *, struct timeval *));
extern void new_close _((int));
extern void set_socket_options _((int));

#endif
